Skip to content

List trust bank accounts

GET
/api/trust/bank-accounts
curl --request GET \
--url 'https://api.getvespy.com/api/trust/bank-accounts?accountType=operating' \
--header 'Authorization: Bearer <token>'
ownerId
string format: uuid
accountType
string
Allowed values: operating security_deposit trust other
isActive
boolean

Default Response

Media typeapplication/json
object
bankAccounts
required
Array<object>
object
accountMask
required
string
nullable
accountType
required
string
Allowed values: operating security_deposit trust other
createdAt
required
string format: date-time
id
required
string format: uuid
institutionName
required
string
nullable
isActive
required
boolean
name
required
string
>= 1 characters <= 160 characters
organizationId
required
string format: uuid
ownerId
required
string format: uuid
nullable
updatedAt
required
string format: date-time
Example
{
"bankAccounts": [
{
"accountType": "operating"
}
]
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}

Default Response

Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{
"code": "example",
"errors": [
{
"code": "example",
"message": "example",
"path": "example"
}
],
"message": "example"
}